std::_BinBase2(3)

NAME
std::_BinBase2 -

SYNOPSIS

Inherited by _BinClos< _Oper, _ValArray, _Constant, _Tp, _Tp >.

Detailed Description

  template<class _Oper, class _Clos> class std::_BinBase2< _Oper, _Clos >

Definition at line 538 of file valarray_before.h.

  Public Types
typedef _Clos::value_type _Vt
typedef __fun< _Oper, _Vt >::result_type value_type

  Public Member Functions
_BinBase2 (const _Clos &__e, const _Vt &__t)
value_type operator[] (size_t __i) const
size_t size () const

Author

Generated automatically by Doxygen for libstdc++ from the source code.